export const BASE_URL = "http://www.newscout.in";
export const DEFAULT_DOMAIN = "newscout";
export const PAGINATE_BY = 6;
export const API_URL_v1 = BASE_URL + "/api/v1/"
export const API_URL_v2 = BASE_URL + "/api/v2/"



// * V1 API URLS
export const ARTICLE_URL = `article/search/?domain=${DEFAULT_DOMAIN}`
export const TRENDING_URL = `trending/?domain=${DEFAULT_DOMAIN}`
export const MENUS_URL =  `menus/?domain=${DEFAULT_DOMAIN}`
export const ARTICLE_CATEGORY_URL = (category_type,page = 1) =>  `article/search/?domain=${DEFAULT_DOMAIN}&category=${category_type}&page=${page}`
export const ARTICLE_SEARCH_URL = (search_text,page = 1,filters="") =>  `article/search/?domain=${DEFAULT_DOMAIN}&q=${search_text}&page=${page}${filters}`
export const ARTICLE_DETAIL_URL = (slug) => `articles/${slug}/?domain=${DEFAULT_DOMAIN}`
export const ARTICLE_COMMENTS_URL = (id) => `comment/?article_id=${id}`
export const ARTICLE_RECOMMENDATIONS_URL = (id) => `articles/${id}/recommendations`

// * V1 Linking URLS
export const NEWSCOUT_NEWS_URL = (slug) => `${BASE_URL}/news/article/${slug}`