import { StyleSheet, Image, View } from 'react-native'
import React, { useContext } from 'react'
import images from '../../../assets/images/images'
import { ThemeContext } from '../../../context/theme.context'


const NewscoutLogo = ({style}) => {

  const theme = useContext(ThemeContext)
  const currentTheme = theme.state.theme

  return (
    <View>
      <Image source={currentTheme === 'light' ? images.newscoutLight : images.newscoutDark} style={[styles.image,style]}/>
    </View>
  )
}

export default NewscoutLogo

const styles = StyleSheet.create({
    image:{
        height:32,
        width:32
    }
})