import { StyleSheet, Text, View, Image } from 'react-native'
import React, { useContext } from 'react'
import images from '../../../assets/images/images'
import { ThemeContext } from '../../../context/theme.context'


const NewscoutTextLogo = ({style}) => {

  const theme = useContext(ThemeContext)
  const currentTheme = theme.state.theme

  return (
    <View>
        <Image source={currentTheme === 'light' ? images.newscoutTextLight : images.newscoutTextDark} style={[styles.image,style]}/>
    </View>
  )
}

export default NewscoutTextLogo

const styles = StyleSheet.create({
    image:{
        aspectRatio: 3.0,
        width: '100%',
        height: 64
    }
})