import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import { ActivityIndicator } from 'react-native-paper'
import colors from '../../../constants/colors'


const LoadingScreen = ({ containerWidth, containerHeight }) => {

  const styles = StyleSheet.create({
    container: {
      height: containerHeight ?? '100%',
      width: containerWidth ?? "100%",
      justifyContent: 'center',
      alignItems: 'center'
    }
  })

  return (
    <View style={[styles.container]}>
      <ActivityIndicator animating color={colors().primaryColor} size="large" />
    </View>
  )
}

export default LoadingScreen

