import { useContext } from "react";
import { ThemeContext } from "../context/theme.context";


const colors = () => {

    const theme = useContext(ThemeContext)
    const currentTheme = theme.state.theme
    
    return currentTheme === 'light' ? {
        recessive: 'black',
        recessive_variant: "#262626",
        dominant: 'white',
        dominant_variant: "#e8e8e8",
        primaryColor: "#FF6E67",
        primaryTintColor: "#FFF0F0",
        secondaryColor: "#1E656D",

        grayShade_100: "#444444",
        grayShade_200: "#696969",
        grayShade_300: "#A1A1A1",
        grayShade_400: "#E7E7E7",
        grayShade_500: "#F2F2F2",
        black: 'black',
        black_variant: "#262626",
        white: 'white',
        white_variant: "#E3E3E3",
    } : {
        dominant: 'black',
        dominant_variant: "#262626",
        recessive: 'white',
        recessive_variant: "#e8e8e8",
        primaryColor: "#FF6E67",
        primaryTintColor: "#FFF0F0",
        secondaryColor: "#1E656D",

        grayShade_100: "#444444", 
        grayShade_200: "#696969",
        grayShade_300: "#A1A1A1",
        grayShade_400: "#E7E7E7",
        grayShade_500: "#F2F2F2",
        black: 'black',
        black_variant: "#262626",
        white: 'white',
        white_variant: "#E3E3E3",
    }
}


export default colors;