import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import { NavigationContainer } from '@react-navigation/native';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import HomePageNavigator from './HomePageNavigator';
import LandingPageNavigator from './LandingPageNavigator';

const Stack = createNativeStackNavigator()

const defaultScreenOptions = {
    headerShown: false
}

const AppNavigator = () => {
    return (
        <NavigationContainer>
            <Stack.Navigator initialRouteName="Landing">
                <Stack.Screen name="LandingPageNav" component={LandingPageNavigator} options={{ ...defaultScreenOptions }} />
                <Stack.Screen name="HomePageNav" component={HomePageNavigator} options={{ ...defaultScreenOptions }} />
            </Stack.Navigator>
        </NavigationContainer>
    )
}

export default AppNavigator

const styles = StyleSheet.create({})