import React from 'react';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import HelpPage from '../screens/Help/HelpPage';
import FAQPage from '../screens/Help/FAQPage';
import TermsConditionPage from '../screens/Help/TermsConditionPage';
import PrivacyPolicyPage from '../screens/Help/PrivacyPolicyPage';
import AboutUsPage from '../screens/Help/AboutUsPage';
import ContactPage from '../screens/Help/ContactPage';


const Stack = createNativeStackNavigator();

const defaultScreenOptions = {
    headerShown: false
}

const HelpPageNavigator = () => {
  return (
    <Stack.Navigator
        initialRouteName='HelpPage'
    >
        <Stack.Screen
            name="HelpPage"
            component={HelpPage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="FAQPage"
            component={FAQPage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="ContactPage"
            component={ContactPage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="TermsConditionsPage"
            component={TermsConditionPage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="PrivacyPolicyPage"
            component={PrivacyPolicyPage}
            options={{...defaultScreenOptions}}
        />
         <Stack.Screen
            name="AboutUsPage"
            component={AboutUsPage}
            options={{...defaultScreenOptions}}
        />
    </Stack.Navigator>
  )
}

export default HelpPageNavigator