import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import UnsignedPage from '../screens/Auth/UnsignedPage';
import LandingPage from '../screens/Auth/LandingPage';
import SignInPage from '../screens/Auth/SignInPage';
import SignUpPage from '../screens/Auth/SignUpPage';
import ChooseTopicPage from '../screens/Auth/ChooseTopicPage';
import FillProfile from '../screens/Profile/FillProfile';
import ForgotPasswordPage from '../screens/Auth/ForgotPasswordPage';
import OTPPage from '../screens/Auth/OTPPage';
import NewsListPage from '../screens/News/NewsListPage';
import NewsDetailPage from '../screens/News/NewsDetailPage';


const Stack = createNativeStackNavigator()

const defaultScreenOptions = {
    headerShown: false
}

const LandingPageNavigator = () => {
    return (

        <Stack.Navigator initialRouteName="Landing">
            <Stack.Screen 
                name="Landing" 
                component={LandingPage} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen 
                name="UnsignedPage" 
                component={UnsignedPage} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen 
                name="SignIn" 
                component={SignInPage} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen 
                name="SignUp" 
                component={SignUpPage} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen 
                name="ChooseTopic" 
                component={ChooseTopicPage} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen 
                name="FillProfile" 
                component={FillProfile} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen 
                name="ForgotPassword" 
                component={ForgotPasswordPage} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen 
                name="OTP" 
                component={OTPPage} 
                options={{ ...defaultScreenOptions }} 
            />
            <Stack.Screen
                name="NewsDetailPage"
                component={NewsDetailPage}
                options={{ ...defaultScreenOptions }}
            />
            <Stack.Screen
                name="NewsListPage"
                component={NewsListPage}
                options={{ ...defaultScreenOptions }}
            />
        </Stack.Navigator>

    )
}

export default LandingPageNavigator