import { View, Text} from 'react-native';
import React from 'react';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import SearchPage from '../screens/Search/SearchPage';
import HomePage from '../screens/HomePage/HomePage';
import BookmarkPage from '../screens/Bookmarks/BookmarkPage';
import ProfilePage from '../screens/Profile/ProfilePage';
import SettingsPage from '../screens/Settings/SettingsPage';
import HelpPageNavigator from './HelpPageNavigator';


const Stack = createNativeStackNavigator();

const defaultScreenOptions = {
    headerShown: false
}

const ProfileNavigator = () => {
  return (
    <Stack.Navigator
        initialRouteName='ProfilePage'
    >
        <Stack.Screen
            name="ProfilePage"
            component={ProfilePage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="SettingsPage"
            component={SettingsPage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="HelpPageNav"
            component={HelpPageNavigator}
            options={{...defaultScreenOptions}}
        />
    </Stack.Navigator>
  )
}

export default ProfileNavigator