import { View, Text} from 'react-native';
import React from 'react';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import SearchPage from '../screens/Search/SearchPage';
import SearchListPage from '../screens/Search/SearchListPage';

const Stack = createNativeStackNavigator();

const defaultScreenOptions = {
    headerShown: false
}

const SearchNavigator = () => {
  return (
    <Stack.Navigator
        initialRouteName='SearchPage'
    >
        <Stack.Screen
            name="SearchPage"
            component={SearchPage}
            options={{...defaultScreenOptions}}
        />
        <Stack.Screen
            name="SearchListPage"
            component={SearchListPage}
            options={{...defaultScreenOptions}}
        />
    </Stack.Navigator>
  )
}

export default SearchNavigator

