import { StyleSheet, Text, TouchableWithoutFeedback, View } from 'react-native'
import React from 'react'
import { SafeAreaView } from 'react-native-safe-area-context'
import OctiIcon from 'react-native-vector-icons/Octicons'
import NewscoutCenteredTitleHeader from '../../components/molecules/Header/NewscoutCenteredTitleHeader'
import colors from '../../constants/colors'
import NotificationSection from '../../components/organisms/Sections/NotificationSection'


const NotificationPage = props => {

    const { navigation, route } = props
    return (
        <SafeAreaView>
            <NewscoutCenteredTitleHeader title={"Notifications"} backButtonShown={true} onBackClick={() => navigation.goBack()}>
                <TouchableWithoutFeedback onPress={() => navigation.toggleDrawer()}>
                    <OctiIcon name='three-bars' color={colors().primaryColor} size={24} />
                </TouchableWithoutFeedback>
            </NewscoutCenteredTitleHeader>
            <NotificationSection/>
        </SafeAreaView>
    )
}

export default NotificationPage

const styles = StyleSheet.create({})